#!/bin/sh

config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ "`basename $NEW`" == "fixmenu1.new" ] && [ ! "`grep mozilla-firefox: var/log/packages/*`" == "" ] ; then
     sed -i 's/#\[exec\]   (FireFox)/\[exec\]   (FireFox)/g' root/.fluxbox/menu
     sed -i 's/#\[exec\]   (Get Flash Plugin)/\[exec\]   (Get Flash Plugin)/g' root/.fluxbox/menu
  elif [ "`basename $NEW`" == "fixmenu2.new" ] && [ ! "`grep device-tree-compiler: var/log/packages/*`" == "" ] ; then
     sed -i 's/#\[exec\]   (Overclock Status)/\[exec\]   (Overclock Status)/g' root/.fluxbox/menu
     sed -i 's/#\[exec\]   (Overclock Settings)/\[exec\]   (Overclock Settings)/g' root/.fluxbox/menu
  elif [ ! -r $OLD ] ; then
     mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
     rm $NEW
  elif [ -r $OLD ] && [ "`basename $NEW .new`" == "menu" ] ; then
     mv $OLD $OLD.bak
     mv $NEW $OLD
  fi
# Otherwise, we leave the .new copy for the admin to consider...
}

#Check if the .fluxbox directory exist in the user HOME
if [ ! -d /root/.fluxbox ] ; then
   mkdir /root/.fluxbox
fi

if [ ! -d /root/.fluxbox/bgphotos ] ; then
   mkdir /root/.fluxbox/bgphotos
fi

if [ ! -d /root/.config ] ; then
   mkdir /root/.config
fi

if [ ! -d /root/.config/volti ] ; then
   mkdir /root/.config/volti
fi

if [ ! -d /root/.config/flash ] ; then
   mkdir /root/.config/flash
fi

if [ ! -d /root/.config/netsurf ] ; then
   mkdir /root/.config/netsurf
fi

if [ ! -d /root/.wicd ] ; then
   mkdir /root/.wicd
fi

#Remove files that might exist in /tmp matching out filenames!
if [ -f /tmp/startup.new ] ; then
   rm -f /tmp/startup.new
fi

if [ -f /tmp/menu.new ] ; then
   rm -f /tmp/menu.new
fi

if [ -f /tmp/autostart.sh.new ] ; then
   rm -f /tmp/autostart.sh.new
fi

if [ -f /tmp/update_imgs.new ] ; then
   rm -f /tmp/update_imgs.new
fi

if [ -f /tmp/keys.new ] ; then
   rm -f /tmp/keys.new
fi

if [ -f /tmp/config.new ] ; then
   rm -f /tmp/config.new
fi

if [ -f /tmp/volti.new ] ; then
   rm -f /tmp/volti.new
fi

if [ -f /tmp/Choices.new ] ; then
   rm -f /tmp/Choices.new
fi

if [ -f /tmp/flashplayer-plugin.SlackBuild.new ] ; then
   rm -f /tmp/flashplayer-plugin.SlackBuild.new
fi

if [ -f /tmp/slack-desc.new ] ; then
   rm -f /tmp/slack-desc.new
fi

config root/.fluxbox/startup.new
config root/.fluxbox/menu.new
config root/.fluxbox/keys.new
config root/.fluxbox/fixmenu1.new
config root/.fluxbox/fixmenu2.new
config root/.fluxbox/autostart.sh.new
config root/.fluxbox/update_imgs.new
config root/.config/volti/config.new
config root/.config/netsurf/Choices.new
config root/.config/flash/getflash.new
config root/.config/flash/flashplayer-plugin.SlackBuild.new
config root/.config/flash/slack-desc.new
